> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Change employee position (creates history record)

> Change employee position (creates history record)



## OpenAPI

````yaml /generated/specs/platform.json post /api/hr/employees/{id}/position
openapi: 3.0.0
info:
  title: Raul API - Plataforma
  description: Portal cliente, templates, RRHH, notificaciones y automatizaciones internas.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/hr/employees/{id}/position:
    post:
      tags:
        - HR - Employees
      summary: Change employee position (creates history record)
      description: Change employee position (creates history record)
      operationId: HrEmployeesController_changeEmployeePosition
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangePositionDto'
      responses:
        '200':
          description: Position changed and history created
        '400':
          description: Position is same as current
        '404':
          description: Employee or Position not found
components:
  schemas:
    ChangePositionDto:
      type: object
      properties:
        new_position_id:
          type: string
          example: uuid-of-new-position
        change_date:
          type: string
          example: '2024-02-01'
          description: Date of position change (ISO format)
        notes:
          type: string
          example: Promotion
      required:
        - new_position_id
        - change_date

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.